test.overrepresentation {gene2pathway} | R Documentation

## Test statistical overrepresentation of KEGG pathways in a list of genes

### Description

Test the statistical overrepresentation of KEGG pathways in a group of genes using Fisher's exact test. The analysis can either be based on all KEGG pathways predicted by `gene2pathway`/`gene2pathway.signaltrans` or on original KEGG annotation only.

### Usage

    test.overrepresentation(genesOfInterest, predpath, KEGGonly=FALSE, cutoff=0.1, min.conf=0.9, adj.method="BY")

### Arguments

`genesOfInterest` | a character vector of gene identifiers (see `gene2pathway`, `gene2pathway.signaltrans`) for a gene list of interest
`predpath` | predictions of `gene2pathway` or `gene2pathway.signaltrans`
`KEGGonly` | use KEGG annotation only
`cutoff` | p-value significance cutoff
`min.conf` | filter predictions such that only those with a confidence score > min.conf are considered
`adj.method` | multiple testing correction method. Default: Benjamini-Yekutieli

### Value

Table with two columns: KEGG pathway and adjusted p-value (adjustment according to Benjamini-Yekutieli)

[Package gene2pathway version 1.2.0 Index]